Bug 175049 - deskutils/aspostit: Fix build with clang
Summary: deskutils/aspostit: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-07 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.20 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:13 UTC
- Fix build with clang

New file:
files/patch-xpostit.c
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:17:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-07 14:38:15 UTC
State Changed
From-To: open->closed
Comment 3 Martin Wilke freebsd_committer 2013-02-07 14:38:15 UTC
Responsible Changed
From-To: araujo->miwi

committed
Comment 4 dfilter service freebsd_committer 2013-02-07 14:38:20 UTC
Author: miwi
Date: Thu Feb  7 14:38:10 2013
New Revision: 311852
URL: http://svnweb.freebsd.org/changeset/ports/311852

Log:
  - Fix build with clang
  - Trim Header
  
  PR:		175049
  Submitted by:	ports fury

Added:
  head/deskutils/aspostit/files/patch-xpostit.c   (contents, props changed)
Modified:
  head/deskutils/aspostit/Makefile   (contents, props changed)

Modified: head/deskutils/aspostit/Makefile
==============================================================================
--- head/deskutils/aspostit/Makefile	Thu Feb  7 14:36:55 2013	(r311851)
+++ head/deskutils/aspostit/Makefile	Thu Feb  7 14:38:10 2013	(r311852)
@@ -1,32 +1,32 @@
-# New ports collection makefile for:   ASPostIt
-# Date created:        2 January 1999
-# Whom:                Kris Kennaway <kris@FreeBSD.org>
-#
+# Created by: Kris Kennaway <kris@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	aspostit
 PORTVERSION=	1.3
 PORTREVISION=	6
 CATEGORIES=	deskutils
-MASTER_SITES=	${MASTER_SITE_AFTERSTEP}
-MASTER_SITE_SUBDIR=	apps/aspostit
+MASTER_SITES=	AFTERSTEP/apps/aspostit
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An AfterStep dockable version of XPostIt
+COMMENT=	AfterStep dockable version of XPostIt
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg
+LICENSE=	GPLv2 # (or later)
+
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg
 
 USE_XORG=	xpm xaw xext x11
 USE_GMAKE=	yes
-
 GNU_CONFIGURE=	yes
+MAKE_JOBS_SAFE=	yes
 
 MAN1=		aspostit.1
 PLIST_FILES=	bin/aspostit
 
+post-extract:
+	@${LN} -sf aspostit.man ${WRKSRC}/aspostit.1
+
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/aspostit ${PREFIX}/bin/
-	${INSTALL_MAN} ${WRKSRC}/aspostit.man ${PREFIX}/man/man1/aspostit.1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} aspostit ${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} aspostit.1 ${MANPREFIX}/man/man1)
 
 .include <bsd.port.mk>

Added: head/deskutils/aspostit/files/patch-xpostit.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/aspostit/files/patch-xpostit.c	Thu Feb  7 14:38:10 2013	(r311852)
@@ -0,0 +1,19 @@
+--- xpostit.c.orig	1999-01-08 06:10:27.000000000 +0900
++++ xpostit.c	2012-10-24 01:06:04.000000000 +0900
+@@ -32,6 +32,7 @@
+ #include <X11/Xaw/SimpleMenu.h>
+ #include <signal.h>
+ #include <stdio.h>
++#include <stdlib.h>
+ 
+ #include "xpostit.h"
+ #include "version.h"
+@@ -130,7 +131,7 @@
+ unsigned long timer_interval;	/* auto-save interval */
+ unsigned long alarm_interval;	/* alarm check interval */
+ 
+-void main(argc, argv)
++int main(argc, argv)
+ char **argv;
+ int argc;
+ {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"